KABCCLIENT(1)

NAME
kabcclient - cliente de linha de comando para o livro de endereços do KDE

SYNOPSIS

kabcclient [[-A] | [-R] | [-M] | [-S] | [-L]] [--match-case] [--nosave] [-ic codificação] [-if formato] [-if-opts opções-formato] [-oc codificação] [-of formato] [-of-opts opções-formato] [dados-entrada]

DESCRIçãO

O kabcclient permite o acesso pela linha de comando ao livro de endereços do KDE, como por exemplo em programas da linha de comando. Ele suporta a entrada de dados a partir do 'stdin' ou através de argumentos adicionais. O resultado é sempre enviado para o 'stdout'.

OPçõES

Modos de operação

    -A, --add
        Adiciona um novo item de contato ao livro de endereços

    -R, --remove
        Remove um contato existente do livro de endereços

    -M, --merge
        Mescla os dados de entrada com um item de contato existente no livro de endereços. Isto adiciona todas as informações novas ao contato já existente.

    -S, --search
        Procura no livro de endereços pelos contatos correspondentes

    -L, --list
        Lista todos os itens de contatos do livro de endereços

Opções de entrada

    -ic, --input-codec
        Passa os dados de entrada através de uma codificação de texto específica. Veja o -ic help para obter mais informações sobre as codificações de entrada. Por padrão é igual a local, que irá usar a codificação para a configuração regional atual do locale(5)

    -if, --input-format
        Processa o texto de entrada de acordo com determinadas regras de formatação. Veja os formatos disponíveis com o -if help. Por padrão, é igual a search

    Em vez de ler o texto de entrada, o 'kabcclient' pode mostrar uma janela para selecionar os contatos com o formato de entrada
        janela

    -if-opts, --input-format-options
        Opções adicionais para o formato de entrada escolhido. Algumas poderão ser obrigatórias e outras opcionais, dependendo do formato. Veja o -if-opts help para obter as opções de formato disponíveis

Opções de saída

    -oc, --output-codec
        Passa o texto de saída por uma determinada codificação de texto. Veja em -oc help algumas informações adicionais sobre as codificações à saída. Por padrão é usado o local, que irá usar a codificação regional atual do locale(5).

    -of, --output-format
        Formata o texto de saída de acordo com determinadas regras de formatação. Veja os formatos disponíveis em -of help. Por padrão, é igual a vcard

    -of-opts, --output-format-options
        Opções adicionais para o formato de saída escolhido. Algumas poderão ser obrigatórias e outras opcionais, dependendo do formato. Veja o -of-opts help para obter as opções de formato disponíveis

Opções adicionais

    --match-case
        Usar uma correspondência de texto com distinção de maiúsculas, ao comparar o texto de entrada com os itens de contatos

    --nosave
        Realiza as operações de mudança das informações, como o -A, -R ou o -M, apenas em memória mas não guarda as alterações no livro de endereços

DIAGNóSTICOS

Como é normal, um código à saída igual a zero corresponde a sucesso. Dependendo da operação escolhida, um código diferente de zero corresponde a um determinado problema que o aplicativo encontrou

ADIÇÃO

    1
        Leitura do texto de entrada foi mal-sucedida

    2
        A criação de um item de contato adequado foi mal-sucedida, de acordo com o texto de entrada; p.ex. poderão não existir dados ou estes terem um formato inválido para o formato de entrada escolhido

    3
        O salvamento das alterações no livro de endereços foi mal-sucedida. Isto poderá ser derivado, por exemplo, de outros aplicativos estarem bloqueando o livro de endereços no momento.

REMOÇÃO

    1
        Leitura do texto de entrada foi mal-sucedida

    2
        O programa não conseguiu remover nenhum item de contato do livro de endereços. Isto poderá ser derivado de um problema ao processar os dados de entrada, por não encontrar qualquer item correspondente no livro de endereços ou por ter devolvido mais de um item correspondente. No último caso, aparecerá uma mensagem de erro no 'stderr'

    3
        O salvamento das alterações no livro de endereços foi mal-sucedida. Isto poderá ser derivado, por exemplo, de outros aplicativos estarem bloqueando o livro de endereços no momento.

REUNIÃO

    1
        Leitura do texto de entrada foi mal-sucedida

    2
        O programa não conseguiu mesclar os dados de entrada com nenhum item de contato do livro de endereços. Isto poderá ser derivado de um erro no processamento dos dados de entrada, por não conseguir encontrar um item de contato correspondente no livro de endereços ou por encontrar mais de um item de contato correspondente no livro de endereços. No último caso, será apresentada uma mensagem de erro no 'stderr'

    3
        O salvamento das alterações no livro de endereços foi mal-sucedida. Isto poderá ser derivado, por exemplo, de outros aplicativos estarem bloqueando o livro de endereços no momento.

    PESQUISA, 1
        Leitura do texto de entrada foi mal-sucedida

    2
        O programa não conseguiu encontrar nenhum item de contato correspondente no livro de endereços. Isto poderá ser derivado de um erro no processamento dos dados de entrada ou na pesquisa de um item correspondente no livro de endereços

EXEMPLOS

Procurar pelos itens de contato com 'João' no nome ou nos endereços de e-mail

    kabcclient -S João

Fazer o mesmo, mas com a distinção entre maiúsculas e minúsculas ativa

    kabcclient --match-case -S João

Fazer o mesmo, mas lendo o texto de entrada do 'stdin'

    echo "João" | kabcclient --match-case -S

Tentar adicionar um item de contato novo, usando os dados de um endereço de e-mail formatado

    kabcclient --nosave --add -if email "João da Silva <joaosilva@exemplo.com.br>"

Fazer o mesmo, mas desta vez guardando os dados no livro de endereços

    kabcclient --add -if email "João da Silva <joaosilva@exemplo.com.br>"

Listar os formatos de entrada disponíveis

    kabcclient -if help

Listar os formatos de saída disponíveis

    kabcclient -of help

Listar as opções disponíveis para o formato de saída 'email'

    kabcclient -of email -of-opts help

Listar todos os endereços de e-mail de todos os contatos que contêm 'João'

    kabcclient -of email -of-opts allemails -S João

Remover todos os contatos que o usuário selecionou na janela da lista de seleção de contatos

    kabcclient --remove -if dialog

Exportar os contatos selecionados para um arquivo VCard (formato padrão de saída)

    kabcclient -S -if dialog > contatos.vcf

AUTOR

Esta página de manual foi escrita por Kevin Krammer <kevin.krammer@gmx.at>. É permitido copiar, distribuir e/ou modificar este documento, segundo os termos da Licença Pública da GNU (GPL), versão 2 ou posteriores publicadas pela Free Software Foundation.

Nos sistemas Debian, o texto completo desta licença poderá ser encontrado em /usr/share/common-licenses/GPL.

AUTHOR

Kevin Krammer <kevin.krammer@gmx.at>
    Autor